package com.fjhx.service.logistics;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.base.Condition;
import com.fjhx.entity.logistics.LogisticsDetails;
import com.fjhx.params.logistics.LogisticsDetailsVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物流明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-30
 */
public interface LogisticsDetailsService extends BaseService<LogisticsDetails> {

    Page<LogisticsDetails> getPage(Map<String, Object> condition);

    void add(LogisticsDetailsVo logisticsDetailsVo);

    void edit(LogisticsDetailsVo logisticsDetailsVo);

    void delete(LogisticsDetailsVo logisticsDetailsVo);

    /**
     * 根据物流单id查询物流明细
     */
    List<Map<String, Object>> getLogisticsDetailsByLogisticsId(Condition condition);

    /**
     * 提交入库数量
     */
    void submitLogisticsDetails(List<LogisticsDetails> logisticsDetailsList);

}
